Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.joseki
Class QuerySPO

    java.lang.Object
      com.hp.hpl.jena.joseki.HttpQuery
          com.hp.hpl.jena.joseki.QuerySPO

public class QuerySPO
extends HttpQuery

Field Summary

Fields inherited from class com.hp.hpl.jena.joseki.HttpQuery
`urlLimit`

Constructor Summary
`QuerySPO(java.lang.String target)` Create a request going to the named model.
`QuerySPO(java.lang.String target, com.hp.hpl.jena.rdf.model.Resource r, com.hp.hpl.jena.rdf.model.Property p, com.hp.hpl.jena.rdf.model.Literal lit)` Create a request going to the named model, with specified subject, predicate and string value
`QuerySPO(java.lang.String target, com.hp.hpl.jena.rdf.model.Resource r, com.hp.hpl.jena.rdf.model.Property p, com.hp.hpl.jena.rdf.model.Resource obj)` Create a request going to the named model, with specified subject, predicate and object resource.

Method Summary
`void` | `setClosure(boolean close)`
`void` | `setObject(java.lang.String obj)`
`void` | `setPredicate(java.lang.String pred)`
`void` | `setSubject(java.lang.String subj)`
`void` | `setValue(java.lang.String val)`

Methods inherited from class com.hp.hpl.jena.joseki.HttpQuery
`addParam, addParam, exec, getResponseCode, getResponseMessage, setForcePOST, setParam, toString, usesPOST`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QuerySPO

    public QuerySPO(java.lang.String target)

  Create a request going to the named model.

Parameters:
  `target` -

### QuerySPO

    public QuerySPO(java.lang.String target,
                    com.hp.hpl.jena.rdf.model.Resource r,
                    com.hp.hpl.jena.rdf.model.Property p,
                    com.hp.hpl.jena.rdf.model.Literal lit)

  Create a request going to the named model, with specified subject, predicate and string value

Parameters:
  `target` -
  `r` -
  `p` -
  `lit` -

### QuerySPO

    public QuerySPO(java.lang.String target,
                    com.hp.hpl.jena.rdf.model.Resource r,
                    com.hp.hpl.jena.rdf.model.Property p,
                    com.hp.hpl.jena.rdf.model.Resource obj)

  Create a request going to the named model, with specified subject, predicate and object resource.

Parameters:
  `target` -
  `r` -
  `p` -
  `obj` -

Method Detail

### setSubject

    public void setSubject(java.lang.String subj)

### setPredicate

    public void setPredicate(java.lang.String pred)

### setObject

    public void setObject(java.lang.String obj)

### setValue

    public void setValue(java.lang.String val)

### setClosure

    public void setClosure(boolean close)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2003, 2004 Hewlett-Packard Development Company, LP